Subject: RE: About PPVPN management

From: "Yoav Cohen" <[email-masked]>
Date: Tue, 8 Oct 2002 08:16:05 +0200

-----Original Message-----
From: Arnaud Gonguet [mailto:[email-masked]]
Sent: Wednesday, September 25, 2002 11:04
To: [email-masked]
Subject: About PPVPN management

Hi,

A couple of months ago, a draft on PPVPN management was submitted to this WG (draft-yacine-ppvpn-mgt-frwk-00.txt). This draft is the very
first version of a ppvpn management framework. It aims at describing the ppvpn management reference model and deals with functions,
protocols, information models. It could be seen as a starting point to define further standardization efforts on PPVPN related protocols
or info models.

To improve the contents and relevance of this draft, all requests and comments are appreciated.

Thanks,

  Arnaud

Arnaud & Yacine,
I'd like to raise some points to the draft's scope.
 The proposed draft concentrates on the architecture of the Network Management System (e.g. "A customer must have a means to view the topology, operational state, ...").
The reference model and management functions stated in the draft, really point to generic functions used to manage any type of technology. There are several bodies dealing with generic Network Management functionality e.g. ITU and organizations most notably the TeleManagement Forum (http://www.tmforum.org/).
What differentiates technologies and services are the details of managing them, i.e. the management interfaces and how they map to these generic functions.
Hence I believe that a more practical approach is to define the reference model and interfaces from the network management point of view. So the document should concentrate on:

- Defining a PPVPN management reference model  (i.e. a reference model that excludes the management function themselves).
- Defining the PPVPN management interfaces by mapping according to the FCAPS functions. If needed, differentiate between PE based and CE based interfaces
- Defining the management protocols e.g. SNMP, COPS, etc.
- Defining the MIBs e.g. SNMP, and other models (if there's interest)

I believe that this work can provide the ability for many existing network management platforms supporting various aspects of network management to tailor their models and applications to also support the PPVPN.

Best regards,
Yoav Cohen.